exports.handler = async (event, context) => {
    
    var responseBody = {};
    
    //Headers defined in the data action appear in the custom client context, shown here.
    responseBody.receivedCustomClientContext = JSON.stringify(context.clientContext.custom);
    
    //Event represents the requestTemplate sent from the data action
    responseBody.receivedEvent = event;
    
    responseBody.message = "Hello from Lambda!  You sent: " + event.payloadFieldKey;
    
    const response = {
        statusCode: 200,
        body: responseBody
    };
    return response;
};